#!/bin/bash

N=$1
yaml=$2

x0=1
y0=1
phi0=1
xstep=1
ystep=0
phistep=0

# create robots (add them at specific coordinates)
sleep 1
for i in $(seq 0 $((N-1))); do
  name="robot$i"
  x=$((x0+i*xstep))
  y=$((y0+i*ystep))
  phi=$((phi0+i*phistep))
  echo "spawning $name at ($x,$y,$phi) from $yaml"
  rosrun stdr_robot robot_handler add $yaml $x $y $phi &
  #spawner_args="add $yaml $x $y $phi"
  #echo "spawner args : $spawner_args"
  roslaunch uir_multi_goal_tools uir_backend_multi_goal_robot_specific.launch name:=$name spawner_args:=$spawner_args &
  sleep 1
done
#echo $! >> pids.txt # append pid
#sleep 1




